> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.arb.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Create service attachment

> Creates a webpage screenshot attachment to include with a service of notice mailing.



## OpenAPI

````yaml api-reference/cases.yaml post /service-of-notice/attachments/create
openapi: 3.0.3
info:
  title: cases
  description: >-
    The Cases Service is the main place where all case info lives, including who
    is involved and what files are attached. It lets you create new cases, view
    existing ones, upload documents or files, and manage service of notice
    delivery through multiple channels (mail, email, or manual attestation),
    while notifying other parts of the system when anything changes.
  version: 1.0.0
servers:
  - url: https://cases.platform.arb.inc
security: []
tags:
  - name: /
  - name: cases
  - name: docket
  - name: evidence
  - name: filings
  - name: internal
  - name: invites
  - name: participants
  - name: schemas
  - name: service-of-notice
  - name: tasks
  - name: timetables
paths:
  /service-of-notice/attachments/create:
    post:
      tags:
        - service-of-notice
      summary: Create service attachment
      description: >-
        Creates a webpage screenshot attachment to include with a service of
        notice mailing.
      operationId: createServiceAttachment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - caseID
                - url
              properties:
                caseID:
                  type: string
                  example: 2025-08-00292
                url:
                  type: string
                  format: uri
                  example: https://example.com/settlement
      responses:
        '200':
          description: Successfully created attachment
          content:
            application/json:
              schema:
                type: object
                properties:
                  attachmentID:
                    type: string
                    format: uuid
                    example: 2720f109-0caf-4c62-af22-5d08c853711c
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: access token
      scheme: bearer
      bearerFormat: JWT

````